<?php
/** 
 *
 * @package acp
 * @version $Id: acp_x_users_viewing.php, v0.0.2, tommeke_mc $
 * @copyright (c) 2008 Tom Deboosere
 * @license http://opensource.org/licenses/gpl-license.php GNU General Public License 
 */

/**
 * @ignore
 */
if (!defined('IN_PHPBB'))
{
    exit;
}
/**
* @package acp
*/
class acp_x_users_viewing
{
	var $u_action;
	var $tpl_path;
	var $page_title;

	function main($id, $mode)
	{
		global $db, $user, $auth, $template;
		global $config, $phpbb_root_path, $phpbb_admin_path, $phpEx;
		
		$user->add_lang('mods/x_users_viewing');
		
		$this->tpl_name = 'acp_x_users_viewing';
		$this->page_title = 'ACP_X_USERS_VIEWING';
		
		//is there new content submitted?
		if (isset($_POST['submit']))
		{
			set_config('x_users_show', (int) request_var('x_users_show_radio', 0));
			set_config('x_users_number', (int) request_var('x_users_number_field', 0));
			set_config('x_users_guests', (int) request_var('x_users_guests_radio', 0));
			add_log('admin', 'LOG_X_USERS_UPDATED');
			trigger_error($user->lang['LOG_X_USERS_UPDATED'] . adm_back_link($this->u_action));
		}

		$template->assign_vars(array(
			'S_USERS_SHOW'		=> ( $config['x_users_show'] == 2 ) ? true:false,
			'S_NUMBERS_SHOW'	=> ( $config['x_users_show'] == 1 ) ? true:false,
			'S_BOTH_SHOW'		=> ( $config['x_users_show'] == 0 ) ? true:false,
			'X_USER_SHOW_NUMBER'=> $config['x_users_number'],
			'S_USERS_SHOW_GUESTS'=>($config['x_users_guests']==1) ? true : false,
		));
	}
}	



?>